<div class="row">
  <div class="col-sm">
    <div class="card">
      <div class="card-header">
        <div class="card-title">Profile</div>
      </div>
      <div class="card-body">
        <div class="row">
          <div class="col-sm col-md-4" style="display: flex">
            <div class="profile-border" style="flex-grow: 1">
                <div class="row">
                  <div class="col-sm text-center" style="font-size: large">
                    <p>
                      <img (click)="changeImage()" class="img-thumbnail cursor" ngbTooltip="Change Image" [src]="imageControl.value" style="max-height: 200px" alt="User Image"/>
                    </p>
                    <input id="fileToUpload2" class="form-control" required type="file"
                           (change)="onFileAdded($event)" hidden accept="image/*"/>
                    <p>{{user.fullName}}</p>
                    <p>{{user.email}}</p>
                    <p>{{user.phoneNumber}}</p>
                  </div>
                </div>
            </div>
          </div>
          <div class="col-sm col-md-8">
              <div class="profile-border">
                <div class="row">
                  <div class="col-sm">
                    <form [formGroup]="profileGroup">
                      <div class="form-group">
                        <label class="font-weight-bold">Full Name *</label>
                        <input type="text"
                               autocomplete="off"
                               class="form-control"
                               [formControl]="nameControl"
                               required>
                        <app-form-error [control]="nameControl" [fieldName]="'Name'"></app-form-error>
                      </div>
                      <div class="form-group">
                        <label class="font-weight-bold">Phone Number *</label>
                        <input type="text"
                               autocomplete="off"
                               class="form-control"
                               [formControl]="phoneControl"
                               required>
                        <app-form-error [control]="phoneControl" [fieldName]="'Phone Number'"></app-form-error>
                      </div>
                      <div class="form-group">
                        <label class="font-weight-bold">Address *</label>
                        <textarea type="text"
                                  style="max-height: none"
                                  autocomplete="off"
                                  class="form-control"
                                  placeholder="e.g Some Street, Singapore"
                                  [formControl]="addressControl"
                                  required
                        ></textarea>
                        <app-form-error [control]="addressControl" [fieldName]="'Address'"></app-form-error>
                      </div>
                      <div class="row">
                        <div class="col-sm">
                          <button class="btn btn-primary" (click)="save()">Save Changes</button>
                        </div>
                      </div>
                    </form>

                  </div>
                </div>
              </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
